import sys
import time
from threading import Thread, Lock

count = 0
count_max = int(sys.argv[1]) if len(sys.argv) == 2 else 2000

lock = Lock()

def bump():
    global count, count_max, lock
    while True:
        with lock:
            if count < count_max:
                time.sleep(0.0001)
                count += 1
            else:
                return

t1 = Thread(target=bump)
t2 = Thread(target=bump)
t3 = Thread(target=bump)

t1.start()
t2.start()
t3.start()

t1.join()
t2.join()
t3.join()

print(count)
